    Undo any background subtraction for the data set.

unsubtract(id=None)
id - int or str, optional

The `unsubtract` function undoes any changes made by

`subtract` . After this command, anything that uses the data set - such as a plot, fit, or error analysis - will use the original data values. Models should be re-fit if `subtract` is called.

Remove the background subtraction from the default data set.

>>> subtract() >>> get_data().subtracted False

Remove the background subtraction from the data set labelled 'src':

>>> subtract('src') >>> get_data('src').subtracted False

PARAMETERS

The parameter for this function is:

Parameter
Definition
id
The identifier for the data set to use. If not given then the default identifier is used, as returned by

`get_default_id` .

Notes

The subtracted field of a PHA data set is set to False

when the background is not subtracted.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023